<script lang="ts">
    import NavIcon from './NavIcon.svelte'
    import NavLink from './NavLink.svelte'

    let scrollY: number
</script>

<svelte:window bind:scrollY />

<header class:with-background={scrollY > 0}>
    <nav class="container">
        <NavIcon home />
        <ul>
            <NavLink href="/login" label="Log in" />
            <NavLink href="/register" label="Create an account" />
        </ul>
    </nav>
</header>

<style lang="postcss">
    header {
        @apply fixed bg-transparent top-0 inset-x-0 py-10 z-50 transition duration-200 ease-out;
    }

    .with-background {
        @apply bg-midnight-900 bg-opacity-90 shadow-lg;
    }

    nav {
        @apply mx-auto flex justify-between items-baseline text-trueGray-50;
    }

    ul {
        @apply flex gap-x-8;
    }
</style>
